Player does not merge multi files correctly
2020-10-29 17:30 - hidden

Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10698

Department: EFFP Affected Products: ADTF 3.8.0, ADTF 3.9.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::DAT

Resolution: Known Problem FAQ Links:

Description

Supportanfrage

N

ich habe mehrere aufgezeichnete Datenstrome in gesplitteten ADTFDAT-Dateien. In meinem Fall 4 Dateien mit CANFD-Daten und
Dateien mit Ethernet-Daten. Wenn ich nur die 4 CANFD-Dateien nutze, werden diese korrekt nacheinander abgespielt. Wenn ich
aber die 4 Ethernet-Dateien ebenfalls hinzufigen, werden nach dem Ende der ersten (oder vlit. Auch der langsten) Datei keine
Daten mehr ausgegeben. ADTF GUI Control zeigt aber trotzdem die korrekte Dauer an und lauft fiir die komplette Zeit weiter. Laut
Doku geht das Abspielen sowohl Simultan, als auch nacheinander. Muss ich dabei etwas beachten, oder handelt es sich hier um
einen Fehler. Wenn es ein Fehler ist, wann kann ich mit einer Korrektur rechnen?

PS: bei ADTF 3.8.0 kann ich das gleiche beobachten.

Lésung

Das ist leider ein Fehler im Player, den wir aber schon behoben haben. Das Problem tritt immer dann auf, wenn es mehrere
Splitsequenzen gibt die sich zeitlich Gberschneiden. Letztendlich legt er dann neue Ausgangspins (stream_name_<n>) fiir jede Split

Datei an, und gibt die Samples dort aus. Wir haben den Fehler schon behoben (ACORE-10698). Der Fix kommt dann mit der 3.10,
die hoffentlich nicht mehr lange auf sich warten I&sst.

History

#1 - 2020-10-30 12:16 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to VW

- Department set to EFFP

- Affected Products ADTF 3.8.0, ADTF 3.9.0 added

- Platform Windows 10 64bit added

Hallo Matthias,

kannst Du uns ggf die dat Dateien zur Verfigung stellen?
Funktioniert es "nur" nicht wenn die CAN-FD und die 4 Ethernet-Dateien abgespielt werden oder immer bei den Ethernet-Dateien?

Welche Device TB wird verwendet?

Grui3
Matthias

#3 - 2020-11-02 09:00 - hidden
- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10698

Hi Matthias,
das ist leider ein Fehler im Player, den wir aber schon behoben haben. Das Problem tritt immer dann auf, wenn es mehrere Splitsequenzen gibt die
sich zeitlich Uberschneiden. Letztendlich legt er dann neue Ausgangspins (stream_name_<n>) flr jede Split Datei an, und gibt die Samples dort aus.
Wir haben den Fehler schon behoben, siehe https://www.cip.audi.de/jira/browse/ACORE-10698. Der Fix kommt dann mit der 3.10, die hoffentlich
nicht mehr lange auf sich warten lasst.

GriBe,

Martin

#4 - 2020-11-02 09:30 - hidden
- File value1.zip added
- File value2.zip added

Hallo Martin,

danke fur die Info.

Da ich davon ausgehe, dass ich euch eure Daten nicht so ohne weiteres geben darf, habe ich mal mit euren Beispiel-Dateien experimentiert:

Ich habe die 2_create_project.adtfdat genommen und jeweils die Streams Value1 und Value2 nacheinander durch einen Writer wieder speichern
lassen, mit 5-Sekunden Spilits.

Wenn ich da alle Dateien eines Streams wieder in einen Player gebe, &ndert sich die Ausgabe durch den QT Media Description Player nach dem
ersten Split nicht mehr. Laut Dat-Tool tiber schneiden sich die Splits (zumindest bei value1) aber nicht....

Hier brauchte ich noch nicht einmal parallele Streams mit verschiedenen Namen.

Ich habe die Splits mal an die Mail angehangt.

Was die Frage von Matthias angeht:
Ich habe bei mir devicetoolbox-3.3.0-adtf3.8.0-WIN10_x64 vc141 bei meinem ADTF im Addons-Ordner.
Allerdings habe ich daraus keine Componente verwendet, lediglich den ADTFat File Player und den QT Media Description Display.

Parallel zwei CANFD-Streams mit je mehrere Splits ausgeben, habe ich nicht versucht, dass das Tool, das die ADTFDAT-Dateien erstellt hat, leider
die CANFD Streams gleich benennt...

Viele GruB3e
Matthias

#5 - 2020-11-02 09:53 - hidden

Matthias Praast wrote:
Hallo Martin,

danke fur die Info.

Da ich davon ausgehe, dass ich euch eure Daten nicht so ohne weiteres geben darf, habe ich mal mit euren Beispiel-Dateien experimentiert:

Ich habe die 2_create_project.adtfdat genommen und jeweils die Streams Value1 und Value2 nacheinander durch einen Writer wieder speichern
lassen, mit 5-Sekunden Splits.

Wenn ich da alle Dateien eines Streams wieder in einen Player gebe, &ndert sich die Ausgabe durch den QT Media Description Player nach
dem ersten Split nicht mehr. Laut Dat-Tool Gber schneiden sich die Splits (zumindest bei value1) aber nicht....

Hier brauchte ich noch nicht einmal parallele Streams mit verschiedenen Namen.

Hast du beim Player auch "load_referenced_files" auf False gestellt (oder die value2 Filers verschoben)? Ansonsten findet er die anderen Dateien
automatisch und ladt sie zuséatzlich.

GriBe,

Martin

#6 - 2020-11-02 10:15 - hidden

Hallo Martin,

danke fur den Tipp. Wenn ich den Haken raus nehme, 1auft das fur einen Stream durch.

Wenn ich dann allerdings alle Dateien zum Player hinzuflige, bekomme ich wieder mein altes Problem. Dann bekomme ich nur eine Ausgab bis zum
ersten Split (an beiden Ausgéngen).

Auf das Ticket kann ich leider nicht zugreifen...
Ich gehe dann aber erstmal davon aus, dass das Thema mit ADTF 3.10 behoben sein wird?

Viele GruBBe
Matthias

#7 - 2020-11-02 10:30 - hidden
Hallo Matthias,
https://www.cip.audi.de/jira/browse/ACORE-10698

zum ACORE Ticket:
Titel: Player not always merges streams from multiple files correctly

Das Ticket steht bereits auf DONE und hat als Fix-Version ADTF 3.10.0 gesetzt.

GruB3
Matthias

#8 - 2020-11-05 18:41 - hidden
- Project changed from 20 to Public Support

- Subject changed from Abspielen mehrerer ADTFDAT-Files in ADTF 3.9.0 to Player does not merge multi files correctly

- Description updated
- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

#9 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
